> For the complete documentation index, see [llms.txt](https://docs.fylr.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fylr.io/releases/2024/v6.12.2.md).

# Release v6.12.2 (2024-09-18)

Published 2024-09-18 10:27:11Z

* [fylr\_checksums.txt](https://s3.eu-central-1.wasabisys.com/fylr-releases/v6.12.2/fylr_checksums.txt)
* [fylr\_v6.12.2\_darwin\_amd64.tar.gz](https://s3.eu-central-1.wasabisys.com/fylr-releases/v6.12.2/fylr_v6.12.2_darwin_amd64.tar.gz)
* [fylr\_v6.12.2\_darwin\_arm64.tar.gz](https://s3.eu-central-1.wasabisys.com/fylr-releases/v6.12.2/fylr_v6.12.2_darwin_arm64.tar.gz)
* [fylr\_v6.12.2\_linux\_amd64.tar.gz](https://s3.eu-central-1.wasabisys.com/fylr-releases/v6.12.2/fylr_v6.12.2_linux_amd64.tar.gz)
* [fylr\_v6.12.2\_windows\_amd64.zip](https://s3.eu-central-1.wasabisys.com/fylr-releases/v6.12.2/fylr_v6.12.2_windows_amd64.zip)

## Server

### Improved

* **/api/search**: Implement `include` for term aggregations. This feature was missing in **fylr**. \[0aabc41a]
* **Go 1.23**: Update **fylr** build to use Go 1.23. \[dc10264f2] \[be6e80481] \[1bba8d535]
* **fylr.yml**: Support `fylr.db.init.configFile` together with `fylr.db.init.config`. Before these were mutually exclusive. \[a3d6a124]

### Fixed

* **/api/search**: Do not use `timezone` to modify searched dates. When searching "2024" we did offset that into the given timezone of the search, essentially searching "2023-31-12 23:00" - "2024-31-12 23: 00" which led to unexpected results, given the fact that dates like "2024" are stored as UTC ranges in the **fylr** database and index. \[059f162b]
* **/api/eas?collection**: Fixed parallel uploads. When uploading in parallel into one collection relying on *detect series*, **fylr** would create multiple objects instead of only one (with nested) if files would arrive in parallel. This patch locks the collection before adding files and with that, we make sure that the series detection works within one object even if the files arrive in parallel. \[eb96f78e]

## Webfrontend

### Fixed

* **Filter Panel**: Numerous fixes have been made related to the filter panel. Major bugs related to the OR operator and the use of hierarchical filters have been resolved. It is now possible to correctly filter by child filters using the OR operator.
* **Filter Count**: Bugs have been fixed in filter counting when the OR operator is used.
* **Collections**: A bug has been fixed where the collection count was not updating correctly.
* **Image Variants**: A bug has been fixed where an error occurred on the frontend when trying to upload variants in an EAS field.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fylr.io/releases/2024/v6.12.2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
